
-- An infinite (lazy) list of Fibonacci numbers:

fibsAfter a b = (a+b) : fibsAfter b (a+b)
fibs = 1 : 1 : fibsAfter 1 1


-- Notes:
-- [1..100] -- is a finite list
-- take 10 [1..100] -- returns the first ten elements
-- take 120 fibs -- returns (evaluates) the first 20 elements of an infinite list
